> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling-O3 Video to Video Edit

> - Kling O3 视频编辑模型
- 基于参考视频进行内容编辑
- 支持 Standard / Pro 两种质量模式
- 异步处理模式，使用返回的任务ID [进行查询](/zh/api-manual/task-management/get-task-detail)
- 生成的视频链接，有效期为24小时，请尽快保存




## OpenAPI

````yaml openapi/en/kling-o3-video-to-video-edit.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Kling O3 Video-to-Video Edit
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Kling
      summary: Kling O3 Video-to-Video Edit
      description: >
        - Kling O3 视频编辑模型

        - 基于参考视频进行内容编辑

        - 支持 Standard / Pro 两种质量模式

        - 异步处理模式，使用返回的任务ID
        [进行查询](/zh/api-manual/task-management/get-task-detail)

        - 生成的视频链接，有效期为24小时，请尽快保存
      operationId: kling-o3-video-to-video-edit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KlingO3VideoToVideoEditRequest'
            examples:
              video_to_video_edit:
                summary: Video-to-video/edit
                value:
                  model: kling-o3-video-to-video-edit
                  prompt: 基于 @Video1，将整体场景改成黄昏金色调，并把天空替换成层次丰富的晚霞云层
                  mode: standard
                  video_url: https://samplelib.com/lib/preview/mp4/sample-5s.mp4
                  keep_audio: false
                  elements:
                    - frontal_image_url: https://picsum.photos/id/237/768/1024.jpg
                      reference_image_urls:
                        - https://picsum.photos/id/1062/768/1024.jpg
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    KlingO3VideoToVideoEditRequest:
      type: object
      required:
        - model
        - prompt
        - video_url
      properties:
        model:
          description: '`kling-o3-video-to-video-edit`：基于参考视频进行内容编辑'
          examples:
            - kling-o3-video-to-video-edit
          type: string
          default: kling-o3-video-to-video-edit
        prompt:
          description: |
            文本提示词

            **说明：**
            - 最长 **2500** 字符
            - 可使用 `@Video1` / `@Image1` / `@Element1` 引用素材
          maxLength: 2500
          type: string
          example: 基于 @Video1，将整体场景改成黄昏金色调
        mode:
          default: standard
          description: |
            生成模式

            **可选值：**
            - `standard` — 标准质量，输出 `720P`
            - `pro` — 高质量，输出 `1080P`
          type: string
          example: standard
        video_url:
          description: |
            参考视频 URL

            **说明：**
            - 支持 `.mp4` / `.mov`
            - 时长 `3` - `10` 秒
            - 宽高 `720` - `2160` px
            - 最大 `200MB`
            - 在提示词中用 `@Video1` 引用
          type: string
          example: https://samplelib.com/lib/preview/mp4/sample-5s.mp4
        keep_audio:
          default: true
          description: |-
            是否保留参考视频原始音频

            > 非必须不要传这个参数。
          type: boolean
          x-advanced: true
          example: true
        image_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: |
            参考图片 URL 列表

            **说明：**
            - 在提示词中使用 `@Image1` / `@Image2` 引用
            - `image_urls` 与 `elements` 总数最多 `4` 个
          example:
            - https://picsum.photos/id/1043/1280/720.jpg
        elements:
          anyOf:
            - items:
                description: 主体元素配置（仅支持图片，不支持 video_url / voice_id）。
                properties:
                  frontal_image_url:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: 主体正面参考图 URL
                    example: https://picsum.photos/id/1027/768/1024.jpg
                  reference_image_urls:
                    anyOf:
                      - items:
                          type: string
                        type: array
                      - type: 'null'
                    default: null
                    description: 主体多角度参考图 URL 列表
                    example:
                      - https://picsum.photos/id/1028/768/1024.jpg
                type: object
              type: array
            - type: 'null'
          default: null
          description: |-
            主体元素列表（仅支持图片主体）

            **说明：**
            - 在提示词中使用 `@Element1` / `@Element2` 引用
            - `image_urls` 与 `elements` 总数最多 `4` 个


            > 非必须不要传这个参数。
          x-advanced: true
          example:
            - frontal_image_url: https://picsum.photos/id/237/768/1024.jpg
              reference_image_urls:
                - https://picsum.photos/id/1062/768/1024.jpg
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 实际使用的模型名称
        object:
          type: string
          description: 任务的具体类型
          enum:
            - video.generation.task
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: 异步任务信息
          properties:
            can_cancel:
              type: boolean
              description: 任务是否可以取消
              example: true
            estimated_time:
              type: integer
              description: 预计完成时间（秒）
              example: 45
        type:
          type: string
          description: 任务的输出类型
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求格式错误
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: API密钥无效
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 账户余额不足
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 参数校验失败
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求频率超限
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务器内部错误
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务暂不可用，请稍后重试
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: 任务创建成功
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: 请求格式错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: 余额不足
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: 参数校验失败
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: 请求频率超限
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: 服务器内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: 服务暂不可用
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## 所有接口均需要使用Bearer Token进行认证 ##

        使用时在请求头中添加：

        `Authorization: Bearer YOUR_API_KEY`

````